Last Comment Bug 409076 - Ensure search plugins can be uploaded through dev cp
: Ensure search plugins can be uploaded through dev cp
Status: VERIFIED FIXED
:
Product: addons.mozilla.org Graveyard
Classification: Graveyard
Component: Developer Pages (show other bugs)
: 3.0
: All All
: -- normal
: 3.5
Assigned To: Justin Scott [:fligtar]
:
Mentors:
: 455479 455739 (view as bug list)
Depends on: 417727 417985 422254
Blocks: 375052 409080 435600
  Show dependency treegraph
 
Reported: 2007-12-19 13:05 PST by Wil Clouser [:clouserw]
Modified: 2016-02-04 14:49 PST (History)
23 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Wil Clouser [:clouserw] 2007-12-19 13:05:29 PST
Had a meeting ( http://wiki.mozilla.org/Update:Remora_Meeting_Notepad#December_19th ) about this today.  We'll be treating search plugins as normal add-ons.  That means they'll be localizable, have complete pages, unique URLs, etc.
Comment 1 Wil Clouser [:clouserw] 2008-01-16 12:20:42 PST
As I see it, the steps for this are:

1) Notify everyone that has a search engine on the current site (both public and sandbox) that we're changing the format (bug 404373) and putting search engines in categories (bug 408525).  Let them know that since we're treating them as standard add-ons they'll need to upload/maintain the search engine themselves, L10n is available for meta data, etc.

2) Land 408525 as soon as we can.  Land 404373 with 3.2 launch.

3) Make a requirement of this bug that anyone can upload an opensearch search engine, put it in categories, localize it, nominate it, give it screenshots, reviews, etc.

4) Implement step 3 as soon as we can and let people know when they can upload search engines.  Also let them know that they won't show up on the search engine list and that, in fact, the list is going away with 3.2.  Make sure they know that they'll be sprinkled around in the categories like other extensions.

5) Launch 3.2, resolve this bug.
Comment 2 Wil Clouser [:clouserw] 2008-03-03 16:37:06 PST
Step 2 is complete.  Patch in bug 404373 is committed since 3.2 is on trunk now.  Step 3 appears to be a decent sized patch - we'll have to give search engine's guids, not hardcode them to en-US, etc.
Comment 3 Basil Hashem [:baz] 2008-03-12 10:10:14 PDT
Moving to target v3.4
Comment 4 Basil Hashem [:baz] 2008-04-09 15:47:31 PDT
Please enable dev CP upload capability for search engines on preview and we'll test - thanks. 
Comment 5 Justin Scott [:fligtar] 2008-09-14 16:25:45 PDT
This is fixed in 3.5. OpenSearch plugins can be uploaded through the new Dev CP and the process works as expected. The name and summary are pulled from the .xml file thanks to Gavin's OpenSearch component he wrote 2 years ago for us.

The only fields I hid for search engines are displaying the GUID and Add-on flags on the Edit Properties page. If there are others, please let me know.

Versioning is still handled the same using the current date.
Comment 6 Wil Clouser [:clouserw] 2008-09-16 09:02:07 PDT
*** Bug 455479 has been marked as a duplicate of this bug. ***
Comment 7 Wil Clouser [:clouserw] 2008-09-17 11:05:37 PDT
*** Bug 455739 has been marked as a duplicate of this bug. ***
Comment 8 Stephen Donner [:stephend] - PTO; back on 5/28 2008-09-17 13:08:31 PDT
Hey fligtar: I uploaded "a9.xml" (downloaded from https://addons.mozilla.org/en-US/firefox/addon/4594), and in its "Properties" page (https://remora-3.5.php5stage.mozilla.com/en-US/developers/addon/edit/7533/properties), I see an empty textfield for "GUID     Only change if you understand all of the consequences." -- is that a bug?
Comment 9 Justin Scott [:fligtar] 2008-09-17 15:28:55 PDT
That should only show up if you are an admin. As long as that's the case, it's not a bug.
Comment 10 Stephen Donner [:stephend] - PTO; back on 5/28 2008-09-17 15:33:54 PDT
That is indeed the case; thanks!

Verified FIXED
Comment 11 LA 2008-09-19 10:20:03 PDT
Do we say that it is fixed already and registered users can upload search plugins? How to do it? Developers page still doesn't except files with .xpi extension. Should we use some other format of the file?
Comment 12 Justin Scott [:fligtar] 2008-09-19 10:56:22 PDT
You'll need to use the new tool. After you click on Developer Tools, click on "Use New Tools" in the notice at the top of the page.
Comment 13 LA 2008-09-19 10:59:05 PDT
Got it now. Thank you. New tool somehow is not available in my language (RU).
Comment 14 LA 2008-09-19 12:46:02 PDT
hm. I've upload my search plugin with usage of new tool. But I can not add description, summary and it's name. This data just not saved! But when I press Update Descriptions or Properties buttons, it says that data is saved (when really it doesn't happen).
My search plugin id is 8932.
Comment 15 Justin Scott [:fligtar] 2008-09-19 12:54:35 PDT
(In reply to comment #14)
> hm. I've upload my search plugin with usage of new tool. But I can not add
> description, summary and it's name. This data just not saved! But when I press
> Update Descriptions or Properties buttons, it says that data is saved (when
> really it doesn't happen).
> My search plugin id is 8932.

I filed bug 456090 for this. It's not specific to search plugins - it's a cache problem. I'm pretty sure the data is being saved, it's just not shown immediately.

Note You need to log in before you can comment on or make changes to this bug.